# IOData

[![pytest](https://github.com/theochem/iodata/actions/workflows/pytest.yaml/badge.svg)](https://github.com/theochem/iodata/actions/workflows/pytest.yaml)
[![release](https://github.com/theochem/iodata/actions/workflows/release.yaml/badge.svg)](https://github.com/theochem/iodata/actions/workflows/release.yaml)
[![sphinx](https://github.com/theochem/iodata/actions/workflows/sphinx.yaml/badge.svg)](https://github.com/theochem/iodata/actions/workflows/sphinx.yaml)
[![CodeFactor](https://www.codefactor.io/repository/github/theochem/iodata/badge)](https://www.codefactor.io/repository/github/theochem/iodata)
[![codecov](https://codecov.io/gh/theochem/iodata/graph/badge.svg?token=QPUfAWj7vf)](https://codecov.io/gh/theochem/iodata)
[![DeepSource](https://app.deepsource.com/gh/theochem/iodata.svg/?label=code+coverage&show_trend=true&token=oojwgNPm16rkx3ce1xficg46)](https://app.deepsource.com/gh/theochem/iodata/)
[![DeepSource](https://app.deepsource.com/gh/theochem/iodata.svg/?label=active+issues&show_trend=true&token=oojwgNPm16rkx3ce1xficg46)](https://app.deepsource.com/gh/theochem/iodata/)
[![PyPI](https://img.shields.io/pypi/v/qc-iodata.svg)](https://pypi.python.org/pypi/qc-iodata/)
![Version](https://img.shields.io/pypi/pyversions/qc-iodata.svg)
![License](https://img.shields.io/github/license/theochem/iodata)

## About

IOData is a HORTON 3 module for input/output of quantum chemistry file
formats. Documentation is here: <https://iodata.readthedocs.io/> or
<https://iodata.qcdevs.org/>

## Citation

Please use the following citation in any publication using IOData
library:

> **\"IOData: A python library for reading, writing, and converting
> computational chemistry file formats and generating input files.\"**,
> T. Verstraelen, W. Adams, L. Pujal, A. Tehrani, B. D. Kelly,
> L. Macaya, F. Meng, M. Richer, R. Hernandez‐Esparza, X. D. Yang, M. Chan,
> T. D. Kim, M. Cools‐Ceuppens, V. Chuiko, E. Vohringer‐Martinez,
> P. W. Ayers, F. Heidar‐Zadeh,
> [J Comput. Chem. 2021, 42(6), 458--464](https://doi.org/10.1002/jcc.26468).

## Installation

In anticipation of the 1.0 release of IOData, install the latest
pre-release as follows:

```bash
python -m pip install qc-iodata
```

Note that there may still be a few API changes between the pre-release
1.0.0a4 and the upcoming stable release 1.0.0.

See <https://iodata.readthedocs.io/en/latest/install.html> for full details.

## Contributing

We welcome contributions of all kinds, such as new features,
improvements, bug fixes, and documentation clarifications. Please read
our [Contributor Guide](https://iodata.qcdevs.org/contributing.html) and
[Code of Conduct](https://github.com/theochem/.github/blob/main/CODE_OF_CONDUCT.md)
for more details.
